pipeline {
    agent any

    stages {
          stage('whoami') {
                steps {
                    // 从版本控制系统中检出代码
                   sh 'whoami'
                }
            }
        stage('Checkout') {
            steps {
                // 从版本控制系统中检出代码
                checkout scm
                            sh "pwd"
                                sh "ls -la"
                                sh "whoami"
            }
        }

        stage('Build') {
            steps {
                sh 'pnpm install && pnpm run build:dev'
                sh 'ls -la'
                     sh 'docker build --pull=false -t medicfornt .'

            }
        }

        stage('Publish Locally') {
            steps {
               sh "docker stop medicfornt || true"
               sh "docker rm medicfornt || true"
               sh "docker run -d --name medicfornt -p 7889:80 medicfornt"
            }
        }
    }

    post {
        always {
            // 清理工作空间
            cleanWs()
        }
    }
}
